Bug 1244104 - Typo in httpd php.conf for php-fpm
Summary: Typo in httpd php.conf for php-fpm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-17 06:54 UTC by Lorenzo Dalrio
Modified: 2015-07-30 01:01 UTC (History)
2 users (show)

Fixed In Version: php-5.6.11-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-30 01:01:49 UTC
Type: Bug


Attachments (Terms of Use)

Description Lorenzo Dalrio 2015-07-17 06:54:18 UTC
Description of problem: There is a typo in /etc/httpd/conf.d/php.conf that prevents httpd to correctly proxy php scripts to php-fpm.


Version-Release number of selected component (if applicable): php-5.6.11-1.fc22.x86_64


How reproducible: install php-fpm and try to open a php script


Steps to Reproduce:
1. install php and php-fpm
2. open a php script in browser
3.

Actual results: Internal server error, in the error_log the following line is printed:

[Fri Jul 17 08:23:21.305056 2015] [proxy:warn] [pid 26993:tid 140345455122176] [client 193.43.199.78:47277] AH01144: No protocol handler was valid for the URL /owncloud/index.php. If you are using a DSO version of mod_proxy, make sure the proxy submodules are included in the configuration using LoadModule.


Expected results: php script works


Additional info: The typo is in the directive

SetHandler "proxy:unix:/run/php-fpm/www.sock|fgci://localhost"
                                             ^^^^

Comment 2 Lorenzo Dalrio 2015-07-17 08:34:05 UTC
(In reply to Remi Collet from comment #1)
> http://pkgs.fedoraproject.org/cgit/php.git/commit/
> ?h=f22&id=8efbd49c7633db88e683a0cb0346f997c6dae2a7

Thank you!

Comment 3 Fedora Update System 2015-07-17 09:05:32 UTC
php-5.6.11-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/php-5.6.11-2.fc22

Comment 4 Fedora Update System 2015-07-18 02:03:25 UTC
Package php-5.6.11-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-5.6.11-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-11717/php-5.6.11-2.fc22
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-07-30 01:01:49 UTC
php-5.6.11-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.